This document lists the events and parameters for
various types of
Google Meet Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=meet`.

## Call event


A record describing a single meeting endpoint.
Events of this type are returned with `type=call`.

### Abuse report submitted

An event indicating that an abuse report was submitted in Meet.
Event details Event name `abuse_report_submitted` Parameters `action_description` `string`


The description for this action.
`action_reason` `string`


The reason for this action.
Possible values:

- `child_endangerment`  
  Label for a type of abuse.
- `fraud`  
  Label for a type of abuse.
- `harassment`  
  Label for a type of abuse.
- `malware`  
  Label for a type of abuse.
- `other`  
  Label for a type of abuse.
- `sexual`  
  Label for a type of abuse.
- `spam`  
  Label for a type of abuse.
- `violence`  
  Label for a type of abuse.
`calendar_event_id` `string`


The identifier of the Google Calendar event associated with the conference.
`conference_id` `string`


The unique identifier of the conference.
`device_type` `string`


The participant's device type.
Possible values:

- `android`  
  Android.
- `chromebase`  
  Chromebase (Meet hardware).
- `chromebox`  
  Chromebox (Meet hardware).
- `interop`  
  Endpoint joining over the 3rd party system.
- `ios`  
  iOS.
- `jamboard`  
  Jamboard.
- `other_client`  
  Other device type.
- `pstn_in`  
  PSTN dial-in, that is, a participant using a telephone to call into the meeting.
- `pstn_out`  
  PSTN dial-out, that is, a telephone call from the meeting.
- `smart_display`  
  Smart display.
- `web`  
  Web browser.
`display_name` `string`


Human readable name of the endpoint that is displayed in the meeting.
`endpoint_id` `string`


The unique endpoint identifier for the current call. Joining the same conference twice generates two distinct endpoint IDs.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`ip_address` `string`


The participant's external IP address.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
`organizer_email` `string`


The email address of the meeting creator.
`product_type` `string`


The type of meeting product (Classic Hangouts/Google Meet).
Possible values:

- `classic_hangouts`  
  Classic Hangouts.
- `meet`  
  Google Meet.
- `unknown_product`  
  Other product type.
`target_display_names` `string`


The target display names for this action.
`target_email` `string`


The target email for this action.
`target_phone_number` `string`


The target phone number for this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=abuse_report_submitted&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A participant submitted an abuse report in a meeting.`

### Broadcast activity

An event indicating that there was broadcast activity in Meet.
Event details Event name `broadcast_activity` Parameters `broadcast_state` `string`


The state of this Meet broadcast.
Possible values:

- `active`  
  The broadcast is currently live.
- `starting`  
  The broadcast has been started but is not yet live.
- `stopped`  
  The broadcast is over.
`conference_id` `string`


The unique identifier of the conference.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=broadcast_activity&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A participant interacted with a broadcast in Meet.`

### Endpoint left

An event indicating that an endpoint left a meeting.
Event details Event name `call_ended` Parameters `audio_recv_packet_loss_max` `integer`


The maximum packet loss for received audio streams (percent).
`audio_recv_packet_loss_mean` `integer`


The mean packet loss for received audio streams (percent).
`audio_recv_seconds` `integer`


The duration during which the participant received any audio (seconds).
`audio_send_bitrate_kbps_mean` `integer`


The mean bitrate of the sent audio stream (kbit/s).
`audio_send_packet_loss_max` `integer`


The maximum packet loss for the sent audio stream (percent).
`audio_send_packet_loss_mean` `integer`


The mean packet loss for the sent audio stream (percent).
`audio_send_seconds` `integer`


The duration during which the participant sent audio (seconds).
`calendar_event_id` `string`


The identifier of the Google Calendar event associated with the conference.
`conference_id` `string`


The unique identifier of the conference.
`device_type` `string`


The participant's device type.
Possible values:

- `android`  
  Android.
- `chromebase`  
  Chromebase (Meet hardware).
- `chromebox`  
  Chromebox (Meet hardware).
- `interop`  
  Endpoint joining over the 3rd party system.
- `ios`  
  iOS.
- `jamboard`  
  Jamboard.
- `other_client`  
  Other device type.
- `pstn_in`  
  PSTN dial-in, that is, a participant using a telephone to call into the meeting.
- `pstn_out`  
  PSTN dial-out, that is, a telephone call from the meeting.
- `smart_display`  
  Smart display.
- `web`  
  Web browser.
`display_name` `string`


Human readable name of the endpoint that is displayed in the meeting.
`duration_seconds` `integer`


The duration for which the participant stayed in the meeting (seconds).
`encryption_type` `string`


The encryption type used during the Google Meet conference.
Possible values:

- `cloud_encryption`  
  Cloud encryption.
- `cse_encryption`  
  Client-side encryption.
- `e2e_encryption`  
  End-to-end encryption.
`end_call_reason` `string`


Indicates why the endpoint left the meeting.
Possible values:

- `network_error`  
  The connection was severed unexpectedly due to network instability.
- `normal`  
  The call concluded as expected through user or system action.
- `system_error`  
  An unexpected application crash, resource constraint, or initialization failure occurred.
- `unknown`  
  The final state could not be conclusively determined by the server.
`end_of_call_rating` `integer`


The call rating given by the participant at the end of the call, ranging from 1 to 5.
`endpoint_id` `string`


The unique endpoint identifier for the current call. Joining the same conference twice generates two distinct endpoint IDs.
`from_secondary_knocking_queue` `boolean`


Indicates the user joined from the secondary knocking queue.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`ip_address` `string`


The participant's external IP address.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`join_permission_acceptor_email` `string`


The email of the user who allowed the participant into the call.
`join_permission_type` `string`


The permission used to allow the user into the call. Indicates if another participant admitted the user into the call unless default.
Possible values:

- `join_permission_type_accepted_knock`  
  The participant had requested join access. It was granted by a participant within the meeting space owner's organization.
- `join_permission_type_delegated_authentication`  
  The participant was allowed by a legitimate user via delegated authentication.
- `join_permission_type_email_invite`  
  The participant was invited through email.
- `join_permission_type_media_api`  
  A Media API participant was allowed to join the meeting because the initiator of the Media API session accepted the initiator dialog.
- `join_permission_type_pstn_in`  
  The participant was a PSTN participant dialing in with a PIN code.
- `join_permission_type_pstn_out`  
  The participant was a PSTN participant dialed to from within the meeting.
- `join_permission_type_ring_invite`  
  The participant was invited through ring.
- `join_permission_type_unspecified`  
  The user joined the call without requiring assistance.
`location_country` `string`


The country from which the participant joined.
`location_region` `string`


The city or geographical region within a country from which the participant joined.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
`network_congestion` `integer`


The fraction of time where the network did not have enough bandwidth to send all the data to Google servers (percent).
`network_estimated_download_kbps_mean` `integer`


The estimated bandwidth used by received media streams (kbps).
`network_estimated_upload_kbps_mean` `integer`


The estimated bandwidth used by sent media streams (kbps).
`network_recv_jitter_msec_max` `integer`


The maximum network jitter for received packets (milliseconds).
`network_recv_jitter_msec_mean` `integer`


The mean network jitter for received packets (milliseconds).
`network_rtt_msec_mean` `integer`


The mean network round-trip time (milliseconds).
`network_send_jitter_msec_mean` `integer`


The mean network jitter for sent packets (milliseconds).
`network_transport_protocol` `string`


The network protocol that was used.
Possible values:

- `multiple`  
  Both TCP and UDP were used.
- `tcp`  
  TCP.
- `tls`  
  TLS.
- `udp`  
  UDP.
- `unknown`  
  Unknown network protocol.
`organizer_email` `string`


The email address of the meeting creator.
`product_type` `string`


The type of meeting product (Classic Hangouts/Google Meet).
Possible values:

- `classic_hangouts`  
  Classic Hangouts.
- `meet`  
  Google Meet.
- `unknown_product`  
  Other product type.
`screencast_recv_bitrate_kbps_mean` `integer`


The mean bitrate of the received screencasts (kbit/s).
`screencast_recv_fps_mean` `integer`


The mean frame rate of received screencasts (FPS).
`screencast_recv_long_side_median_pixels` `integer`


The median of the long side of the received screencasts (pixels).
`screencast_recv_packet_loss_max` `integer`


The maximum packet loss for received screencasts (percent).
`screencast_recv_packet_loss_mean` `integer`


The mean packet loss for received screencasts (percent).
`screencast_recv_seconds` `integer`


The duration during which the participant received any screencast (seconds).
`screencast_recv_short_side_median_pixels` `integer`


The median of the short side of the received screencasts (pixels).
`screencast_send_bitrate_kbps_mean` `integer`


The mean bitrate of sent screencasts (kbit/s).
`screencast_send_fps_mean` `integer`


The mean frame rate of sent screencasts (FPS).
`screencast_send_long_side_median_pixels` `integer`


The median of the long side of the sent screencasts (pixels).
`screencast_send_packet_loss_max` `integer`


The maximum packet loss for sent screencasts (percent).
`screencast_send_packet_loss_mean` `integer`


The mean packet loss for sent screencasts (percent).
`screencast_send_seconds` `integer`


The duration during which the participant sent a screencast (seconds).
`screencast_send_short_side_median_pixels` `integer`


The median of the short side of the sent screencasts (pixels).
`video_recv_fps_mean` `integer`


The mean frame rate of received video streams (FPS).
`video_recv_long_side_median_pixels` `integer`


The median of the long side of the received video streams (pixels).
`video_recv_packet_loss_max` `integer`


The maximum packet loss for received video streams (percent).
`video_recv_packet_loss_mean` `integer`


The mean packet loss for received video streams (percent).
`video_recv_seconds` `integer`


The duration during which the participant received any video (seconds).
`video_recv_short_side_median_pixels` `integer`


The median of the short side of the received video streams (pixels).
`video_send_bitrate_kbps_mean` `integer`


The mean bitrate of the sent video stream (kbit/s).
`video_send_fps_mean` `integer`


The mean frame rate of the sent video stream (FPS).
`video_send_long_side_median_pixels` `integer`


The median of the long side of the sent video stream (pixels).
`video_send_packet_loss_max` `integer`


The maximum packet loss for the sent video stream (percent).
`video_send_packet_loss_mean` `integer`


The mean packet loss for the sent video stream (percent).
`video_send_seconds` `integer`


The duration during which the participant sent video (seconds).
`video_send_short_side_median_pixels` `integer`


The median of the short side of the sent video stream (pixels).
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=call_ended&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The endpoint left a video meeting`

### Livestream watched

An event indicating that a viewer watched a livestream in Meet.
Event details Event name `livestream_watched` Parameters `audio_recv_packet_loss_max` `integer`


The maximum packet loss for received audio streams (percent).
`audio_recv_packet_loss_mean` `integer`


The mean packet loss for received audio streams (percent).
`audio_recv_seconds` `integer`


The duration during which the participant received any audio (seconds).
`audio_send_bitrate_kbps_mean` `integer`


The mean bitrate of the sent audio stream (kbit/s).
`audio_send_packet_loss_max` `integer`


The maximum packet loss for the sent audio stream (percent).
`audio_send_packet_loss_mean` `integer`


The mean packet loss for the sent audio stream (percent).
`audio_send_seconds` `integer`


The duration during which the participant sent audio (seconds).
`calendar_event_id` `string`


The identifier of the Google Calendar event associated with the conference.
`conference_id` `string`


The unique identifier of the conference.
`device_type` `string`


The participant's device type.
Possible values:

- `android`  
  Android.
- `chromebase`  
  Chromebase (Meet hardware).
- `chromebox`  
  Chromebox (Meet hardware).
- `interop`  
  Endpoint joining over the 3rd party system.
- `ios`  
  iOS.
- `jamboard`  
  Jamboard.
- `other_client`  
  Other device type.
- `pstn_in`  
  PSTN dial-in, that is, a participant using a telephone to call into the meeting.
- `pstn_out`  
  PSTN dial-out, that is, a telephone call from the meeting.
- `smart_display`  
  Smart display.
- `web`  
  Web browser.
`display_name` `string`


Human readable name of the endpoint that is displayed in the meeting.
`end_of_call_rating` `integer`


The call rating given by the participant at the end of the call, ranging from 1 to 5.
`endpoint_id` `string`


The unique endpoint identifier for the current call. Joining the same conference twice generates two distinct endpoint IDs.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
`ip_address` `string`


The participant's external IP address.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`livestream_ecdn_location` `string`


The Enterprise Content Delivery Network (eCDN) location for a Meet livestream viewer.
`livestream_ecdn_network` `string`


The eCDN network for a Meet livestream viewer.
`livestream_private_ip_address` `string`


The private IP address for a Meet livestream viewer.
`livestream_view_page_id` `string`


The id for the Meet conference livestream view page (for example, '678df2a2-1598-4754-8d3d-8b7b53868908'). Recurrent meetings have the same view page id.
`location_country` `string`


The country from which the participant joined.
`location_region` `string`


The city or geographical region within a country from which the participant joined.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
`network_congestion` `integer`


The fraction of time where the network did not have enough bandwidth to send all the data to Google servers (percent).
`network_estimated_download_kbps_mean` `integer`


The estimated bandwidth used by received media streams (kbps).
`network_estimated_upload_kbps_mean` `integer`


The estimated bandwidth used by sent media streams (kbps).
`network_recv_jitter_msec_max` `integer`


The maximum network jitter for received packets (milliseconds).
`network_recv_jitter_msec_mean` `integer`


The mean network jitter for received packets (milliseconds).
`network_rtt_msec_mean` `integer`


The mean network round-trip time (milliseconds).
`network_send_jitter_msec_mean` `integer`


The mean network jitter for sent packets (milliseconds).
`network_transport_protocol` `string`


The network protocol that was used.
`organizer_email` `string`


The email address of the meeting creator.
`product_type` `string`


The type of meeting product (Classic Hangouts/Google Meet).
Possible values:

- `classic_hangouts`  
  Classic Hangouts.
- `meet`  
  Google Meet.
- `unknown_product`  
  Other product type.
`screencast_recv_bitrate_kbps_mean` `integer`


The mean bitrate of the received screencasts (kbit/s).
`screencast_recv_fps_mean` `integer`


The mean frame rate of received screencasts (FPS).
`screencast_recv_long_side_median_pixels` `integer`


The median of the long side of the received screencasts (pixels).
`screencast_recv_packet_loss_max` `integer`


The maximum packet loss for received screencasts (percent).
`screencast_recv_packet_loss_mean` `integer`


The mean packet loss for received screencasts (percent).
`screencast_recv_seconds` `integer`


The duration during which the participant received any screencast (seconds).
`screencast_recv_short_side_median_pixels` `integer`


The median of the short side of the received screencasts (pixels).
`screencast_send_bitrate_kbps_mean` `integer`


The mean bitrate of sent screencasts (kbit/s).
`screencast_send_fps_mean` `integer`


The mean frame rate of sent screencasts (FPS).
`screencast_send_long_side_median_pixels` `integer`


The median of the long side of the sent screencasts (pixels).
`screencast_send_packet_loss_max` `integer`


The maximum packet loss for sent screencasts (percent).
`screencast_send_packet_loss_mean` `integer`


The mean packet loss for sent screencasts (percent).
`screencast_send_seconds` `integer`


The duration during which the participant sent a screencast (seconds).
`screencast_send_short_side_median_pixels` `integer`


The median of the short side of the sent screencasts (pixels).
`start_timestamp_seconds` `integer`


The time when the participant joined the meeting (in epoch seconds).
`video_recv_fps_mean` `integer`


The mean frame rate of received video streams (FPS).
`video_recv_long_side_median_pixels` `integer`


The median of the long side of the received video streams (pixels).
`video_recv_packet_loss_max` `integer`


The maximum packet loss for received video streams (percent).
`video_recv_packet_loss_mean` `integer`


The mean packet loss for received video streams (percent).
`video_recv_seconds` `integer`


The duration during which the participant received any video (seconds).
`video_recv_short_side_median_pixels` `integer`


The median of the short side of the received video streams (pixels).
`video_send_bitrate_kbps_mean` `integer`


The mean bitrate of the sent video stream (kbit/s).
`video_send_fps_mean` `integer`


The mean frame rate of the sent video stream (FPS).
`video_send_long_side_median_pixels` `integer`


The median of the long side of the sent video stream (pixels).
`video_send_packet_loss_max` `integer`


The maximum packet loss for the sent video stream (percent).
`video_send_packet_loss_mean` `integer`


The mean packet loss for the sent video stream (percent).
`video_send_seconds` `integer`


The duration during which the participant sent video (seconds).
`video_send_short_side_median_pixels` `integer`


The median of the short side of the sent video stream (pixels).
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=livestream_watched&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The viewer watched a livestream of a meeting on view page.`

## Conference action


A record describing a conference action.
Events of this type are returned with `type=conference_action`.

### Closed captions started

An event indicating that an endpoint started closed captions.
Event details Event name `closed_captions_started` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=closed_captions_started&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A participant started closed captions.`

### Consented to third party media app

Consent was granted to allow a third party application to collect audio, video or both from a meeting.
Event details Event name `consented_to_third_party_media_app` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`display_name` `string`


Human readable name of the endpoint that is displayed in the meeting.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
`third_party_media_app_initiator_email` `string`


The initiator of an app that collects media.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=consented_to_third_party_media_app&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Consent was granted to allow a third party application to collect audio, video or both from a meeting`

### Dialed out

An event indicating that an endpoint dialed out.
Event details Event name `dialed_out` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
`target_user_count` `integer`


Target user count.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=dialed_out&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The endpoint performed an action that requires to be reported`

### Everyone can send in-call messages

An event indicating that everyone can send chat messages.
Event details Event name `send_chat_everyone` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=send_chat_everyone&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A host turned on in-call messages for everyone.`

### Explicit consent decision made for a streaming session

An event indicating an explicit consent decision was made for a streaming session.
Event details Event name `streaming_session_explicit_consent` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
`streaming_session_explicit_consent_decision_type` `string`


The type of the streaming session explicit consent decision.
Possible values:

- `accepted`  
  Indicates consent was given.
- `auto_accepted`  
  Indicates consent disclosure was bypassed and automatically acknowledged.
- `denied_blocked`  
  Indicates consent was not given, and the user was blocked from joining the meeting.
- `denied_leave`  
  Indicates consent was not given, and the user chose to leave the meeting.
`streaming_session_id` `string`


Unique identifier of the streaming session.
`streaming_session_type` `string`


The type of the streaming session.
Possible values:

- `recording`  
  Indicates a recording session.
- `smart_notes`  
  Indicates a Take Notes For Me session.
- `transcription`  
  Indicates a transcription session.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=streaming_session_explicit_consent&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Consent decision given for the streaming session`

### Hand raised

An event indicating that a participant raised their hand.
Event details Event name `hand_raised` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=hand_raised&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A participant raised their hand.`

### In meet broadcast activity

An event indicating that there was an in-meet broadcast activity.
Event details Event name `in_meet_broadcast_activity` Parameters `broadcast_state` `string`


The state of this Meet broadcast.
Possible values:

- `active`  
  The broadcast is currently live.
- `starting`  
  The broadcast has been started but is not yet live.
- `stopped`  
  The broadcast is over.
`conference_id` `string`


The unique identifier of the conference.
`is_external` `boolean`


Indicates if the participant is external to your organization.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=in_meet_broadcast_activity&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The endpoint performed an action that requires to be reported`

### In-call messages visible to all

An event indicating that everyone in the call can see chat messages.
Event details Event name `see_chat_everyone` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=see_chat_everyone&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A host opened in-call messages for all participants and live stream viewers.`

### In-call messages visible to participants

An event indicating that in-call participants can see chat messages. Live stream viewers can not see chat messages.
Event details Event name `see_chat_participants` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=see_chat_participants&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A host made in-call messages visible to participants only. Live stream viewers cannot see them.`

### Invitation sent

An event indicating that an endpoint invited users to the meeting.
Event details Event name `invitation_sent` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
`target_user_count` `integer`


Target user count.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=invitation_sent&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The endpoint performed an action that requires to be reported`

### Knocking accepted

An event indicating that an endpoint accepted knocking of other users.
Event details Event name `knocking_accepted` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
`target_user_count` `integer`


Target user count.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=knocking_accepted&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The endpoint performed an action that requires to be reported`

### Knocking denied

An event indicating that an endpoint denied knocking of other users.
Event details Event name `knocking_denied` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
`target_user_count` `integer`


Target user count.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=knocking_denied&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The endpoint performed an action that requires to be reported`

### Only contributors can send in-call messages

An event indicating that sending chat messages is restricted to contributors, hosts and co-hosts. Live stream viewers cannot send chat messages.
Event details Event name `send_chat_contributors` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=send_chat_contributors&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A host limited in-call messages to contributors, hosts, and co-hosts. Live stream viewers cannot send messages.`

### Only hosts can send in-call messages

An event indicating that sending chat messages is restricted to hosts and co-hosts.
Event details Event name `send_chat_hosts` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=send_chat_hosts&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A host limited in-call messages to hosts and co-hosts.`

### Poll answered

An event indicating that an endpoint answered a poll.
Event details Event name `poll_answered` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=poll_answered&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The endpoint performed an action that requires to be reported`

### Poll created

An event indicating that an endpoint created a poll.
Event details Event name `poll_created` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=poll_created&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The endpoint performed an action that requires to be reported`

### Presentation started

An event indicating that an endpoint started a presentation.
Event details Event name `presentation_started` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=presentation_started&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The endpoint performed an action that requires to be reported`

### Presentation stopped

An event indicating that an endpoint stopped a presentation.
Event details Event name `presentation_stopped` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=presentation_stopped&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The endpoint performed an action that requires to be reported`

### Question created

An event indicating that an endpoint created a question.
Event details Event name `question_created` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=question_created&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The endpoint performed an action that requires to be reported`

### Question responded

An event indicating that an endpoint responded to a question.
Event details Event name `question_responded` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=question_responded&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The endpoint performed an action that requires to be reported`

### Reaction sent

An event indicating that an endpoint sent a reaction.
Event details Event name `reaction_sent` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
`sent_reactions_count` `integer`


The total number of reactions sent during a logging interval.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=reaction_sent&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A participant sent a reaction.`

### Recording activity

An event indicating that there was recording activity in Meet.
Event details Event name `recording_activity` Parameters `conference_id` `string`


The unique identifier of the conference.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`streaming_session_state` `string`


The state of this Meet streaming session.
Possible values:

- `active`  
  The broadcast is currently live.
- `starting`  
  The broadcast has been started but is not yet live.
- `stopped`  
  The broadcast is over.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=recording_activity&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The endpoint performed an action that requires to be reported`

### Ring answered

An event indicating that an endpoint answered a ring invitation.
Event details Event name `ring_answered` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
`target_user_count` `integer`


Target user count.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=ring_answered&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The endpoint performed an action that requires to be reported`

### Ring missed

An event indicating that an endpoint missed a ring invitation.
Event details Event name `ring_missed` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
`target_user_count` `integer`


Target user count.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=ring_missed&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The endpoint performed an action that requires to be reported`

### Ring sent

An event indicating that an endpoint sent a ring invitation.
Event details Event name `ring_sent` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
`target_user_count` `integer`


Target user count.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=ring_sent&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The endpoint performed an action that requires to be reported`

### Room check in

An event indicating that an endpoint checked into a room.
Event details Event name `room_check_in` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
`room_display_name` `string`


The name of the room that's being checked into.
`room_id` `string`


The ID of the room that's being checked into.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=room_check_in&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A participant checked into a room.`

### Room check out

An event indicating that an endpoint checked out of a room.
Event details Event name `room_check_out` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=room_check_out&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A participant checked out of a room.`

### Speech Translation disabled

An event indicating that speech translation feature is disabled for the conference.
Event details Event name `speech_translation_disallowed` Parameters `action_reason` `string`


The reason for this action.
Possible values:

- `automatic_disallowed`  
  Speech translation reached the time limit.
- `user_disallowed`  
  Speech translation was turned off by a user.
`action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=speech_translation_disallowed&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Speech Translation feature is turned off for the conference.`

### Speech Translation enabled

An event indicating that speech translation feature is enabled for the conference.
Event details Event name `speech_translation_allowed` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=speech_translation_allowed&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Speech Translation feature is turned on for the conference, or the allowed languages are changed. Translation might not be active due to participants' language settings.`

### Take Notes For Me session started

An event indicating a Take Notes For Me session was started.
Event details Event name `smart_notes_session_started` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
`streaming_session_id` `string`


Unique identifier of the streaming session.
`streaming_session_start_reason` `string`


Reason the streaming session started.
Possible values:

- `auto_start_from_admin_setting`  
  Indicates the streaming session started automatically due to an admin setting.
- `auto_start_from_calendar`  
  Indicates the streaming session started automatically due to a setting in Calendar.
- `auto_start_from_greenroom`  
  Indicates the streaming session started automatically from the green room.
- `auto_start_from_in_call_recurrence`  
  Indicates the streaming session started automatically due to in-call recurrence.
- `auto_start_from_language_update`  
  Indicates the streaming session started automatically due to a language update.
- `auto_start_from_user_setting`  
  Indicates the streaming session started automatically due to a user setting.
- `auto_start_reason_unknown`  
  Indicates the streaming session started automatically, but the specific trigger is unknown.
- `manual_start_by_user_action`  
  Indicates the streaming session started manually.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=smart_notes_session_started&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A participant started a Take Notes For Me session.`

### Take Notes For Me session stopped

An event indicating that Take Notes For Me was stopped.
Event details Event name `smart_notes_session_stopped` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
`streaming_session_id` `string`


Unique identifier of the streaming session.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=smart_notes_session_stopped&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A participant stopped a Take Notes For Me session.`

### Transcription activity

An event indicating that there was transcription activity in Meet.
Event details Event name `transcription_activity` Parameters `conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`streaming_session_start_reason` `string`


Reason the streaming session started.
Possible values:

- `auto_start_from_admin_setting`  
  Indicates the streaming session started automatically due to an admin setting.
- `auto_start_from_calendar`  
  Indicates the streaming session started automatically due to a setting in Calendar.
- `auto_start_from_greenroom`  
  Indicates the streaming session started automatically from the green room.
- `auto_start_from_in_call_recurrence`  
  Indicates the streaming session started automatically due to in-call recurrence.
- `auto_start_from_language_update`  
  Indicates the streaming session started automatically due to a language update.
- `auto_start_from_user_setting`  
  Indicates the streaming session started automatically due to a user setting.
- `auto_start_reason_unknown`  
  Indicates the streaming session started automatically, but the specific trigger is unknown.
- `manual_start_by_user_action`  
  Indicates the streaming session started manually.
`streaming_session_state` `string`


The state of this Meet streaming session.
Possible values:

- `active`  
  The broadcast is currently live.
- `starting`  
  The broadcast has been started but is not yet live.
- `stopped`  
  The broadcast is over.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=transcription_activity&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The endpoint performed an action that requires to be reported`

### Watermarking active

An event indicating that watermarking is active.
Event details Event name `watermarking_active` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=watermarking_active&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A participant started a watermarking session, and it became active.`

### Watermarking starting

An event indicating that watermarking is starting.
Event details Event name `watermarking_starting` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=watermarking_starting&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A participant started a watermarking session.`

### Watermarking stopped

An event indicating that watermarking is stopped.
Event details Event name `watermarking_stopped` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=watermarking_stopped&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A participant started a watermarking session, and it stopped.`

### Whiteboard started

An event indicating that an endpoint started a whiteboard.
Event details Event name `whiteboard_started` Parameters `action_time` `string`


Action time.
`conference_id` `string`


The unique identifier of the conference.
`identifier` `string`


The unique participant identifier (for example, an email address, phone number, or device ID).
`identifier_type` `string`


Indicates the type of the participant identifier.
Possible values:

- `device_id`  
  The unique device identifier of the Meet hardware.
- `email_address`  
  The participant's email address. Visible when the participant is in-domain or when the meeting is organized by a user who is in-domain.
- `phone_number`  
  The participant's telephone number.
`is_companion` `boolean`


Indicates if the participant joined the call in Companion mode.
`is_external` `boolean`


Indicates if the participant is external to your organization.
`meeting_code` `string`


The meeting code for the Google Meet conference (for example, 'abc-hexp-tqy'). Recurrent meetings have the same meeting code.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/meet?eventName=whiteboard_started&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The endpoint performed an action that requires to be reported`